package eclipse.plugin.exportexample;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

import eclipse.plugin.exportexample.internal.SerializeName;

/**
 * @author Mickael BARON (baron.mickael@gmail.com)
 * 
 * Date : May 2008
 */
public class Activator extends Plugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "eclipse.plugin.ExportExample";

	// The shared instance
	private static Activator plugin;
	
	/**
	 * The constructor
	 */
	public Activator() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
		System.out.println("Le Plug-In ExportExample est chargé");
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
		System.out.println("Le Plug-in ExportExample est arrêté");
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

	public ISerializeName getSerializeInstance() {
		return new SerializeName();
	}	
}
